Page MenuHomePhabricator

jquery.wikibase qunit tests are flaky (Pending Ajax requests)
Closed, ResolvedPublic

Description

01:26:41 FAILED TESTS:
01:26:41   jquery.wikibase.edittoolbar
01:26:41     ✖ Create & destroy
01:26:41       Chrome 57.0.2987 (Linux 0.0.0)
01:26:41     afterEach failed on Create & destroy: Pending AJAX requests: 0 (active: 1)
01:26:41     Error: Pending AJAX requests: 0 (active: 1)
01:26:41         at Object.localEnv.afterEach (http://localhost:9876/jenkins-mediawiki-extensions-qunit-jessie-56207/load.php?debug=false&lang=en&modules=mediawiki.page.startup%7Cmediawiki.rcfilters.filters.dm%7Cmediawiki.router%2Cstorage%2Ctemplate%2Ctoc%2Cui%2Cuser%2Cutil%2Cviewport%2CvisibleTimeout%2Cwidgets%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.special.recentchanges%7Cmediawiki.template.handlebars%2Chogan%2Cmustache%2Cregexp%7Cmediawiki.ui.anchor%2Cbutton%2Cicon%7Cmediawiki.widgets.CategoryMultiselectWidget%2CDateInputWidget%2CMediaSearch%2CStashedFileWidget%2CUserInputWidget%2Cstyles%7Cmediawiki.widgets.DateInputWidget.styles%7Cmobile.ajax.styles%7Cmobile.editor.api%2Ccommon%2Coverlay%7Cmobile.foreignApi%2Cgallery%2CinfiniteScroll%2CmediaViewer%2CmessageBox%2Cnearby%2Creferences%2Csearch%2Cstartup%2Ctoggle%2Cwatchlist%2Cwatchstar%7Cmobile.languages.structured%7Cmobile.loggingSchemas.edit%2CmobileWebSearch%7Cmobile.messageBox.styles%7Cmobile.pagelist.scripts%2Cstyles%7Cmobile.pagesummary.styles%7Cmobile.references.gateway%2Cimages%7Cmobile.search.api%2Cimages%2Cutil%7Cmobile.special.nearby.styles%7Cmobile.startup.images%7Cmobile.startup.images.variants%7Cmobile.talk.overlays%7Cmoment%2Coojs%2Coojs-router%2Coojs-ui%2Coojs-ui-core%2Coojs-ui-toolbars%2Coojs-ui-widgets%2Coojs-ui-windows%2Cpapaparse%2Crangefix%2Cspark-md5%2CtreeDiffer%7Cmw.config.values.wbDataTypes%2CwbRepo%2CwbSiteDetails%7Coojs-ui-core.styles%7Coojs-ui.styles.icons-accessibility%2Cicons-alerts%2Cicons-content%2Cicons-editing-advanced%2Cicons-editing-core%2Cicons-editing-list%2Cicons-editing-styling%2Cicons-interactions%2Cicons-layout%2Cicons-media%2Cicons-moderation%2Cicons-movement%2Cicons-user%2Cicons-wikimedia%2Cindicators%2Ctextures%7Cschema.GuidedTourButtonClick%2CGuidedTourExited%2CGuidedTourExternalLinkActivation%2CGuidedTourGuiderHidden%2CGuidedTourGuiderImpression%2CGuidedTourInternalLinkActivation%2CMobileWebSearch%2CNavigationTiming%2CSaveTiming%7Csocket.io%7Ctest.mediawiki.qunit.suites%2Ctestrunner%7Ctest.sinonjs%7Ctests.ext.thanks.mobilediff%7Ctests.mobilefrontend%2Czero&skin=fallback&version=0e2iz22:1386:385)
01:26:41         at Object.localEnv.afterEach (http://localhost:9876/jenkins-mediawiki-extensions-qunit-jessie-56207/load.php?debug=false&lang=en&modules=mediawiki.page.startup%7Cmediawiki.rcfilters.filters.dm%7Cmediawiki.router%2Cstorage%2Ctemplate%2Ctoc%2Cui%2Cuser%2Cutil%2Cviewport%2CvisibleTimeout%2Cwidgets%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.special.recentchanges%7Cmediawiki.template.handlebars%2Chogan%2Cmustache%2Cregexp%7Cmediawiki.ui.anchor%2Cbutton%2Cicon%7Cmediawiki.widgets.CategoryMultiselectWidget%2CDateInputWidget%2CMediaSearch%2CStashedFileWidget%2CUserInputWidget%2Cstyles%7Cmediawiki.widgets.DateInputWidget.styles%7Cmobile.ajax.styles%7Cmobile.editor.api%2Ccommon%2Coverlay%7Cmobile.foreignApi%2Cgallery%2CinfiniteScroll%2CmediaViewer%2CmessageBox%2Cnearby%2Creferences%2Csearch%2Cstartup%2Ctoggle%2Cwatchlist%2Cwatchstar%7Cmobile.languages.structured%7Cmobile.loggingSchemas.edit%2CmobileWebSearch%7Cmobile.messageBox.styles%7Cmobile.pagelist.scripts%2Cstyles%7Cmobile.pagesummary.styles%7Cmobile.references.gateway%2Cimages%7Cmobile.search.api%2Cimages%2Cutil%7Cmobile.special.nearby.styles%7Cmobile.startup.images%7Cmobile.startup.images.variants%7Cmobile.talk.overlays%7Cmoment%2Coojs%2Coojs-router%2Coojs-ui%2Coojs-ui-core%2Coojs-ui-toolbars%2Coojs-ui-widgets%2Coojs-ui-windows%2Cpapaparse%2Crangefix%2Cspark-md5%2CtreeDiffer%7Cmw.config.values.wbDataTypes%2CwbRepo%2CwbSiteDetails%7Coojs-ui-core.styles%7Coojs-ui.styles.icons-accessibility%2Cicons-alerts%2Cicons-content%2Cicons-editing-advanced%2Cicons-editing-core%2Cicons-editing-list%2Cicons-editing-styling%2Cicons-interactions%2Cicons-layout%2Cicons-media%2Cicons-moderation%2Cicons-movement%2Cicons-user%2Cicons-wikimedia%2Cindicators%2Ctextures%7Cschema.GuidedTourButtonClick%2CGuidedTourExited%2CGuidedTourExternalLinkActivation%2CGuidedTourGuiderHidden%2CGuidedTourGuiderImpression%2CGuidedTourInternalLinkActivation%2CMobileWebSearch%2CNavigationTiming%2CSaveTiming%7Csocket.io%7Ctest.mediawiki.qunit.suites%2Ctestrunner%7Ctest.sinonjs%7Ctests.ext.thanks.mobilediff%7Ctests.mobilefrontend%2Czero&skin=fallback&version=0e2iz22:1383:841)
01:26:41         at callHook (node_modules/qunitjs/qunit/qunit.js:1497:25)
01:26:41         at runHook (node_modules/qunitjs/qunit/qunit.js:1520:7)
01:26:41         at Object.advance (node_modules/qunitjs/qunit/qunit.js:1116:26)
01:26:41         at begin (node_modules/qunitjs/qunit/qunit.js:2937:20)
01:26:41         at node_modules/qunitjs/qunit/qunit.js:2051:6
01:26:41     
01:26:41 
01:26:41     ✖ Deferred button initialization
01:26:41       Chrome 57.0.2987 (Linux 0.0.0)
01:26:41     afterEach failed on Deferred button initialization: Pending AJAX requests: 0 (active: 1)
01:26:41     Error: Pending AJAX requests: 0 (active: 1)
01:26:41         at Object.localEnv.afterEach (http://localhost:9876/jenkins-mediawiki-extensions-qunit-jessie-56207/load.php?debug=false&lang=en&modules=mediawiki.page.startup%7Cmediawiki.rcfilters.filters.dm%7Cmediawiki.router%2Cstorage%2Ctemplate%2Ctoc%2Cui%2Cuser%2Cutil%2Cviewport%2CvisibleTimeout%2Cwidgets%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.special.recentchanges%7Cmediawiki.template.handlebars%2Chogan%2Cmustache%2Cregexp%7Cmediawiki.ui.anchor%2Cbutton%2Cicon%7Cmediawiki.widgets.CategoryMultiselectWidget%2CDateInputWidget%2CMediaSearch%2CStashedFileWidget%2CUserInputWidget%2Cstyles%7Cmediawiki.widgets.DateInputWidget.styles%7Cmobile.ajax.styles%7Cmobile.editor.api%2Ccommon%2Coverlay%7Cmobile.foreignApi%2Cgallery%2CinfiniteScroll%2CmediaViewer%2CmessageBox%2Cnearby%2Creferences%2Csearch%2Cstartup%2Ctoggle%2Cwatchlist%2Cwatchstar%7Cmobile.languages.structured%7Cmobile.loggingSchemas.edit%2CmobileWebSearch%7Cmobile.messageBox.styles%7Cmobile.pagelist.scripts%2Cstyles%7Cmobile.pagesummary.styles%7Cmobile.references.gateway%2Cimages%7Cmobile.search.api%2Cimages%2Cutil%7Cmobile.special.nearby.styles%7Cmobile.startup.images%7Cmobile.startup.images.variants%7Cmobile.talk.overlays%7Cmoment%2Coojs%2Coojs-router%2Coojs-ui%2Coojs-ui-core%2Coojs-ui-toolbars%2Coojs-ui-widgets%2Coojs-ui-windows%2Cpapaparse%2Crangefix%2Cspark-md5%2CtreeDiffer%7Cmw.config.values.wbDataTypes%2CwbRepo%2CwbSiteDetails%7Coojs-ui-core.styles%7Coojs-ui.styles.icons-accessibility%2Cicons-alerts%2Cicons-content%2Cicons-editing-advanced%2Cicons-editing-core%2Cicons-editing-list%2Cicons-editing-styling%2Cicons-interactions%2Cicons-layout%2Cicons-media%2Cicons-moderation%2Cicons-movement%2Cicons-user%2Cicons-wikimedia%2Cindicators%2Ctextures%7Cschema.GuidedTourButtonClick%2CGuidedTourExited%2CGuidedTourExternalLinkActivation%2CGuidedTourGuiderHidden%2CGuidedTourGuiderImpression%2CGuidedTourInternalLinkActivation%2CMobileWebSearch%2CNavigationTiming%2CSaveTiming%7Csocket.io%7Ctest.mediawiki.qunit.suites%2Ctestrunner%7Ctest.sinonjs%7Ctests.ext.thanks.mobilediff%7Ctests.mobilefrontend%2Czero&skin=fallback&version=0e2iz22:1386:385)
01:26:41         at Object.localEnv.afterEach (http://localhost:9876/jenkins-mediawiki-extensions-qunit-jessie-56207/load.php?debug=false&lang=en&modules=mediawiki.page.startup%7Cmediawiki.rcfilters.filters.dm%7Cmediawiki.router%2Cstorage%2Ctemplate%2Ctoc%2Cui%2Cuser%2Cutil%2Cviewport%2CvisibleTimeout%2Cwidgets%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.special.recentchanges%7Cmediawiki.template.handlebars%2Chogan%2Cmustache%2Cregexp%7Cmediawiki.ui.anchor%2Cbutton%2Cicon%7Cmediawiki.widgets.CategoryMultiselectWidget%2CDateInputWidget%2CMediaSearch%2CStashedFileWidget%2CUserInputWidget%2Cstyles%7Cmediawiki.widgets.DateInputWidget.styles%7Cmobile.ajax.styles%7Cmobile.editor.api%2Ccommon%2Coverlay%7Cmobile.foreignApi%2Cgallery%2CinfiniteScroll%2CmediaViewer%2CmessageBox%2Cnearby%2Creferences%2Csearch%2Cstartup%2Ctoggle%2Cwatchlist%2Cwatchstar%7Cmobile.languages.structured%7Cmobile.loggingSchemas.edit%2CmobileWebSearch%7Cmobile.messageBox.styles%7Cmobile.pagelist.scripts%2Cstyles%7Cmobile.pagesummary.styles%7Cmobile.references.gateway%2Cimages%7Cmobile.search.api%2Cimages%2Cutil%7Cmobile.special.nearby.styles%7Cmobile.startup.images%7Cmobile.startup.images.variants%7Cmobile.talk.overlays%7Cmoment%2Coojs%2Coojs-router%2Coojs-ui%2Coojs-ui-core%2Coojs-ui-toolbars%2Coojs-ui-widgets%2Coojs-ui-windows%2Cpapaparse%2Crangefix%2Cspark-md5%2CtreeDiffer%7Cmw.config.values.wbDataTypes%2CwbRepo%2CwbSiteDetails%7Coojs-ui-core.styles%7Coojs-ui.styles.icons-accessibility%2Cicons-alerts%2Cicons-content%2Cicons-editing-advanced%2Cicons-editing-core%2Cicons-editing-list%2Cicons-editing-styling%2Cicons-interactions%2Cicons-layout%2Cicons-media%2Cicons-moderation%2Cicons-movement%2Cicons-user%2Cicons-wikimedia%2Cindicators%2Ctextures%7Cschema.GuidedTourButtonClick%2CGuidedTourExited%2CGuidedTourExternalLinkActivation%2CGuidedTourGuiderHidden%2CGuidedTourGuiderImpression%2CGuidedTourInternalLinkActivation%2CMobileWebSearch%2CNavigationTiming%2CSaveTiming%7Csocket.io%7Ctest.mediawiki.qunit.suites%2Ctestrunner%7Ctest.sinonjs%7Ctests.ext.thanks.mobilediff%7Ctests.mobilefrontend%2Czero&skin=fallback&version=0e2iz22:1383:841)
01:26:41         at callHook (node_modules/qunitjs/qunit/qunit.js:1497:25)
01:26:41         at runHook (node_modules/qunitjs/qunit/qunit.js:1520:7)
01:26:41         at Object.advance (node_modules/qunitjs/qunit/qunit.js:1116:26)
01:26:41         at begin (node_modules/qunitjs/qunit/qunit.js:2937:20)
01:26:41         at node_modules/qunitjs/qunit/qunit.js:2051:6
01:26:41     
01:26:41 
01:26:41     ✖ toEditMode(), toNonEditMode()
01:26:41       Chrome 57.0.2987 (Linux 0.0.0)
01:26:41     afterEach failed on toEditMode(), toNonEditMode(): Pending AJAX requests: 0 (active: 1)
01:26:41     Error: Pending AJAX requests: 0 (active: 1)
01:26:41         at Object.localEnv.afterEach (http://localhost:9876/jenkins-mediawiki-extensions-qunit-jessie-56207/load.php?debug=false&lang=en&modules=mediawiki.page.startup%7Cmediawiki.rcfilters.filters.dm%7Cmediawiki.router%2Cstorage%2Ctemplate%2Ctoc%2Cui%2Cuser%2Cutil%2Cviewport%2CvisibleTimeout%2Cwidgets%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.special.recentchanges%7Cmediawiki.template.handlebars%2Chogan%2Cmustache%2Cregexp%7Cmediawiki.ui.anchor%2Cbutton%2Cicon%7Cmediawiki.widgets.CategoryMultiselectWidget%2CDateInputWidget%2CMediaSearch%2CStashedFileWidget%2CUserInputWidget%2Cstyles%7Cmediawiki.widgets.DateInputWidget.styles%7Cmobile.ajax.styles%7Cmobile.editor.api%2Ccommon%2Coverlay%7Cmobile.foreignApi%2Cgallery%2CinfiniteScroll%2CmediaViewer%2CmessageBox%2Cnearby%2Creferences%2Csearch%2Cstartup%2Ctoggle%2Cwatchlist%2Cwatchstar%7Cmobile.languages.structured%7Cmobile.loggingSchemas.edit%2CmobileWebSearch%7Cmobile.messageBox.styles%7Cmobile.pagelist.scripts%2Cstyles%7Cmobile.pagesummary.styles%7Cmobile.references.gateway%2Cimages%7Cmobile.search.api%2Cimages%2Cutil%7Cmobile.special.nearby.styles%7Cmobile.startup.images%7Cmobile.startup.images.variants%7Cmobile.talk.overlays%7Cmoment%2Coojs%2Coojs-router%2Coojs-ui%2Coojs-ui-core%2Coojs-ui-toolbars%2Coojs-ui-widgets%2Coojs-ui-windows%2Cpapaparse%2Crangefix%2Cspark-md5%2CtreeDiffer%7Cmw.config.values.wbDataTypes%2CwbRepo%2CwbSiteDetails%7Coojs-ui-core.styles%7Coojs-ui.styles.icons-accessibility%2Cicons-alerts%2Cicons-content%2Cicons-editing-advanced%2Cicons-editing-core%2Cicons-editing-list%2Cicons-editing-styling%2Cicons-interactions%2Cicons-layout%2Cicons-media%2Cicons-moderation%2Cicons-movement%2Cicons-user%2Cicons-wikimedia%2Cindicators%2Ctextures%7Cschema.GuidedTourButtonClick%2CGuidedTourExited%2CGuidedTourExternalLinkActivation%2CGuidedTourGuiderHidden%2CGuidedTourGuiderImpression%2CGuidedTourInternalLinkActivation%2CMobileWebSearch%2CNavigationTiming%2CSaveTiming%7Csocket.io%7Ctest.mediawiki.qunit.suites%2Ctestrunner%7Ctest.sinonjs%7Ctests.ext.thanks.mobilediff%7Ctests.mobilefrontend%2Czero&skin=fallback&version=0e2iz22:1386:385)
01:26:42         at Object.localEnv.afterEach (http://localhost:9876/jenkins-mediawiki-extensions-qunit-jessie-56207/load.php?debug=false&lang=en&modules=mediawiki.page.startup%7Cmediawiki.rcfilters.filters.dm%7Cmediawiki.router%2Cstorage%2Ctemplate%2Ctoc%2Cui%2Cuser%2Cutil%2Cviewport%2CvisibleTimeout%2Cwidgets%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.special.recentchanges%7Cmediawiki.template.handlebars%2Chogan%2Cmustache%2Cregexp%7Cmediawiki.ui.anchor%2Cbutton%2Cicon%7Cmediawiki.widgets.CategoryMultiselectWidget%2CDateInputWidget%2CMediaSearch%2CStashedFileWidget%2CUserInputWidget%2Cstyles%7Cmediawiki.widgets.DateInputWidget.styles%7Cmobile.ajax.styles%7Cmobile.editor.api%2Ccommon%2Coverlay%7Cmobile.foreignApi%2Cgallery%2CinfiniteScroll%2CmediaViewer%2CmessageBox%2Cnearby%2Creferences%2Csearch%2Cstartup%2Ctoggle%2Cwatchlist%2Cwatchstar%7Cmobile.languages.structured%7Cmobile.loggingSchemas.edit%2CmobileWebSearch%7Cmobile.messageBox.styles%7Cmobile.pagelist.scripts%2Cstyles%7Cmobile.pagesummary.styles%7Cmobile.references.gateway%2Cimages%7Cmobile.search.api%2Cimages%2Cutil%7Cmobile.special.nearby.styles%7Cmobile.startup.images%7Cmobile.startup.images.variants%7Cmobile.talk.overlays%7Cmoment%2Coojs%2Coojs-router%2Coojs-ui%2Coojs-ui-core%2Coojs-ui-toolbars%2Coojs-ui-widgets%2Coojs-ui-windows%2Cpapaparse%2Crangefix%2Cspark-md5%2CtreeDiffer%7Cmw.config.values.wbDataTypes%2CwbRepo%2CwbSiteDetails%7Coojs-ui-core.styles%7Coojs-ui.styles.icons-accessibility%2Cicons-alerts%2Cicons-content%2Cicons-editing-advanced%2Cicons-editing-core%2Cicons-editing-list%2Cicons-editing-styling%2Cicons-interactions%2Cicons-layout%2Cicons-media%2Cicons-moderation%2Cicons-movement%2Cicons-user%2Cicons-wikimedia%2Cindicators%2Ctextures%7Cschema.GuidedTourButtonClick%2CGuidedTourExited%2CGuidedTourExternalLinkActivation%2CGuidedTourGuiderHidden%2CGuidedTourGuiderImpression%2CGuidedTourInternalLinkActivation%2CMobileWebSearch%2CNavigationTiming%2CSaveTiming%7Csocket.io%7Ctest.mediawiki.qunit.suites%2Ctestrunner%7Ctest.sinonjs%7Ctests.ext.thanks.mobilediff%7Ctests.mobilefrontend%2Czero&skin=fallback&version=0e2iz22:1383:841)
01:26:42         at callHook (node_modules/qunitjs/qunit/qunit.js:1497:25)
01:26:42         at runHook (node_modules/qunitjs/qunit/qunit.js:1520:7)
01:26:42         at Object.advance (node_modules/qunitjs/qunit/qunit.js:1116:26)
01:26:42         at begin (node_modules/qunitjs/qunit/qunit.js:2937:20)
01:26:42         at node_modules/qunitjs/qunit/qunit.js:2051:6
01:26:42     
01:26:42 
01:26:42   jquery.wikibase.entitytermsforlanguageview
01:26:42     ✖ Create & destroy
01:26:42       Chrome 57.0.2987 (Linux 0.0.0)
01:26:42     afterEach failed on Create & destroy: Pending AJAX requests: 0 (active: 1)
01:26:42     Error: Pending AJAX requests: 0 (active: 1)
01:26:42         at Object.localEnv.afterEach (http://localhost:9876/jenkins-mediawiki-extensions-qunit-jessie-56207/load.php?debug=false&lang=en&modules=mediawiki.page.startup%7Cmediawiki.rcfilters.filters.dm%7Cmediawiki.router%2Cstorage%2Ctemplate%2Ctoc%2Cui%2Cuser%2Cutil%2Cviewport%2CvisibleTimeout%2Cwidgets%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.special.recentchanges%7Cmediawiki.template.handlebars%2Chogan%2Cmustache%2Cregexp%7Cmediawiki.ui.anchor%2Cbutton%2Cicon%7Cmediawiki.widgets.CategoryMultiselectWidget%2CDateInputWidget%2CMediaSearch%2CStashedFileWidget%2CUserInputWidget%2Cstyles%7Cmediawiki.widgets.DateInputWidget.styles%7Cmobile.ajax.styles%7Cmobile.editor.api%2Ccommon%2Coverlay%7Cmobile.foreignApi%2Cgallery%2CinfiniteScroll%2CmediaViewer%2CmessageBox%2Cnearby%2Creferences%2Csearch%2Cstartup%2Ctoggle%2Cwatchlist%2Cwatchstar%7Cmobile.languages.structured%7Cmobile.loggingSchemas.edit%2CmobileWebSearch%7Cmobile.messageBox.styles%7Cmobile.pagelist.scripts%2Cstyles%7Cmobile.pagesummary.styles%7Cmobile.references.gateway%2Cimages%7Cmobile.search.api%2Cimages%2Cutil%7Cmobile.special.nearby.styles%7Cmobile.startup.images%7Cmobile.startup.images.variants%7Cmobile.talk.overlays%7Cmoment%2Coojs%2Coojs-router%2Coojs-ui%2Coojs-ui-core%2Coojs-ui-toolbars%2Coojs-ui-widgets%2Coojs-ui-windows%2Cpapaparse%2Crangefix%2Cspark-md5%2CtreeDiffer%7Cmw.config.values.wbDataTypes%2CwbRepo%2CwbSiteDetails%7Coojs-ui-core.styles%7Coojs-ui.styles.icons-accessibility%2Cicons-alerts%2Cicons-content%2Cicons-editing-advanced%2Cicons-editing-core%2Cicons-editing-list%2Cicons-editing-styling%2Cicons-interactions%2Cicons-layout%2Cicons-media%2Cicons-moderation%2Cicons-movement%2Cicons-user%2Cicons-wikimedia%2Cindicators%2Ctextures%7Cschema.GuidedTourButtonClick%2CGuidedTourExited%2CGuidedTourExternalLinkActivation%2CGuidedTourGuiderHidden%2CGuidedTourGuiderImpression%2CGuidedTourInternalLinkActivation%2CMobileWebSearch%2CNavigationTiming%2CSaveTiming%7Csocket.io%7Ctest.mediawiki.qunit.suites%2Ctestrunner%7Ctest.sinonjs%7Ctests.ext.thanks.mobilediff%7Ctests.mobilefrontend%2Czero&skin=fallback&version=0e2iz22:1386:385)
01:26:42         at Object.localEnv.afterEach (http://localhost:9876/jenkins-mediawiki-extensions-qunit-jessie-56207/load.php?debug=false&lang=en&modules=mediawiki.page.startup%7Cmediawiki.rcfilters.filters.dm%7Cmediawiki.router%2Cstorage%2Ctemplate%2Ctoc%2Cui%2Cuser%2Cutil%2Cviewport%2CvisibleTimeout%2Cwidgets%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.special.recentchanges%7Cmediawiki.template.handlebars%2Chogan%2Cmustache%2Cregexp%7Cmediawiki.ui.anchor%2Cbutton%2Cicon%7Cmediawiki.widgets.CategoryMultiselectWidget%2CDateInputWidget%2CMediaSearch%2CStashedFileWidget%2CUserInputWidget%2Cstyles%7Cmediawiki.widgets.DateInputWidget.styles%7Cmobile.ajax.styles%7Cmobile.editor.api%2Ccommon%2Coverlay%7Cmobile.foreignApi%2Cgallery%2CinfiniteScroll%2CmediaViewer%2CmessageBox%2Cnearby%2Creferences%2Csearch%2Cstartup%2Ctoggle%2Cwatchlist%2Cwatchstar%7Cmobile.languages.structured%7Cmobile.loggingSchemas.edit%2CmobileWebSearch%7Cmobile.messageBox.styles%7Cmobile.pagelist.scripts%2Cstyles%7Cmobile.pagesummary.styles%7Cmobile.references.gateway%2Cimages%7Cmobile.search.api%2Cimages%2Cutil%7Cmobile.special.nearby.styles%7Cmobile.startup.images%7Cmobile.startup.images.variants%7Cmobile.talk.overlays%7Cmoment%2Coojs%2Coojs-router%2Coojs-ui%2Coojs-ui-core%2Coojs-ui-toolbars%2Coojs-ui-widgets%2Coojs-ui-windows%2Cpapaparse%2Crangefix%2Cspark-md5%2CtreeDiffer%7Cmw.config.values.wbDataTypes%2CwbRepo%2CwbSiteDetails%7Coojs-ui-core.styles%7Coojs-ui.styles.icons-accessibility%2Cicons-alerts%2Cicons-content%2Cicons-editing-advanced%2Cicons-editing-core%2Cicons-editing-list%2Cicons-editing-styling%2Cicons-interactions%2Cicons-layout%2Cicons-media%2Cicons-moderation%2Cicons-movement%2Cicons-user%2Cicons-wikimedia%2Cindicators%2Ctextures%7Cschema.GuidedTourButtonClick%2CGuidedTourExited%2CGuidedTourExternalLinkActivation%2CGuidedTourGuiderHidden%2CGuidedTourGuiderImpression%2CGuidedTourInternalLinkActivation%2CMobileWebSearch%2CNavigationTiming%2CSaveTiming%7Csocket.io%7Ctest.mediawiki.qunit.suites%2Ctestrunner%7Ctest.sinonjs%7Ctests.ext.thanks.mobilediff%7Ctests.mobilefrontend%2Czero&skin=fallback&version=0e2iz22:1383:841)
01:26:42         at callHook (node_modules/qunitjs/qunit/qunit.js:1497:25)
01:26:42         at runHook (node_modules/qunitjs/qunit/qunit.js:1520:7)
01:26:42         at Object.advance (node_modules/qunitjs/qunit/qunit.js:1116:26)
01:26:42         at begin (node_modules/qunitjs/qunit/qunit.js:2937:20)
01:26:42         at node_modules/qunitjs/qunit/qunit.js:2051:6

I've seen at least 5 failures in the past 12 hours from this test

Event Timeline

Legoktm triaged this task as High priority.Mar 9 2018, 8:05 PM
Legoktm created this task.
Restricted Application added a project: Wikidata. · View Herald TranscriptMar 9 2018, 8:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Legoktm updated the task description. (Show Details)Mar 10 2018, 7:57 AM

This is strictly related to T189411, which offers examples for this and a similar case of failing (thus I didn't merge it here).

Gilles added a subscriber: Gilles.Mar 12 2018, 6:53 PM
Legoktm raised the priority of this task from High to Unbreak Now!.Mar 13 2018, 8:10 PM

I'm bumping the priority to UBN because this is continuing to happen, and the continuing random failures is not something we can keep sustaining.

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptMar 13 2018, 8:10 PM

So, it seems to be fixed.
I also had trouble reproducing it locally.
Any more gerrit patches that fail?

Ie1280e50bf still had a lot of failures earlier this morning, do you think it’s been fixed since then?

hoo added a subscriber: hoo.Mar 15 2018, 11:59 AM

I also can't reproduce these failures locally in any of my browsers (although I didn't try to hard and I have other local failures I need to filter out) :/

Krinkle added a subscriber: Krinkle.EditedMar 16 2018, 1:31 AM

It's been a week. I think it's fair to expect the following at this point: Wikibase has 24 hours to either fix or disable the offending QUnit test(s). Alternatively, Wikibase will be removed from the shared extension gate sometime tomorrow.

Disabling a broken unit test is not difficult, should take mere minutes, and is regular procedure for this type of issue.

Change 419963 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/Wikibase@master] Skip flaky Wikibase tests

https://gerrit.wikimedia.org/r/419963

hoo added a comment.Mar 16 2018, 1:54 AM

It's been a week. I think it's fair to expect the following at this point: Wikibase has 24 hours to either fix or disable the offending QUnit test(s). Alternatively, Wikibase will be removed from the shared extension gate sometime tomorrow.
Disabling a broken unit test is not difficult, should take mere minutes, and is regular procedure for this type of issue.

That's true… I've just uploaded a patch to skip these tests for now. We will need to find a way to reproduce these failures still, but this certainly buys us some time.

Change 419963 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Skip flaky Wikibase tests

https://gerrit.wikimedia.org/r/419963

Thanks for skipping the test. Hopefully that unblocks all people's work.
That said, I still have problem understanding what is the issue there, as failures are hard to reproduce. @hashar: would it be possible to set up a Jenkins job that would only run Wikibase QUnit tests? I.e. no other extensions involved? If that was having failures, we'd now that issues is certainly coming from Wikibase.
As the failure has never been reproduced locally, and the relevant wikibase code has not been touched recently, it seems to me a first option to check would be whether is it really coming from wikibase or is it some odd combo of Wikibase and some other extension, or extensions.

hoo lowered the priority of this task from Unbreak Now! to High.Mar 16 2018, 9:33 AM

Way less severe now that the flaky tests are skipped :)

Huji added a comment.Mar 23 2018, 2:28 AM

I assume the failed test on PS1 of https://gerrit.wikimedia.org/r/#/c/421468/ is the same issue, right?

Krinkle added a comment.EditedMar 23 2018, 2:57 AM

I assume the failed test on PS1 of https://gerrit.wikimedia.org/r/#/c/421468/ is the same issue, right?

No, this task is about a flaky QUnit JavaScript Test from Wikibase’s editor.

The failure on your Gerrit change is from HHVM PHPUnit. Please click the job name in the jenkins-bot to see the issue.

1) Wikibase\Repo\Tests\Specials\SpecialSetSiteLinkTest::testExecuteEmptyForm

 Undefined index: tooltips

/home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/htmlform/fields/HTMLMultiSelectField.php:178
Krinkle renamed this task from jquery.wikibase.edittoolbar and other qunit tests are flaky to jquery.wikibasea qunit tests are flaky (Pending Ajax requests).EditedMay 2 2018, 4:30 PM

Still happening for

jquery.wikibase.sitelinkview
    ✖ Create and destroy
    afterEach failed on Create and destroy: Pending AJAX requests: 0 (active: 3)

@hoo These look similar to the ones skipped by 0e25609a1 (Same test name, different module). Should those be skipped as well?

Gilles renamed this task from jquery.wikibasea qunit tests are flaky (Pending Ajax requests) to jquery.wikibase qunit tests are flaky (Pending Ajax requests).May 2 2018, 5:14 PM

This is blocking the merge of core change https://gerrit.wikimedia.org/r/#/c/424165/ and probably lots of other changes in core. Unbreak now..?

Change 430494 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/Wikibase@master] Skip tests failing in CI

https://gerrit.wikimedia.org/r/430494

Change 430494 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Skip tests failing in CI

https://gerrit.wikimedia.org/r/430494

Similar issues now showing up in ext.wikiEditor.toolbar

https://integration.wikimedia.org/ci/job/mediawiki-core-qunit-selenium-jessie/19909/console

It seems like there are some ajax requests being made during the unit tests.

Investigating this some more and given the new failures I think there is not a fault in Wikibase here but an extensions who's tests are alphabetically run earlier. I'm looking into that now and if I can I will revert the above patchset.

I think this is the issue: https://gerrit.wikimedia.org/r/430633 Don't trigger API requests during Qunit execution

@Krinkle it's unfortunate the unit tests didn't complain in this browser test. Anyway we can get these more isolated?
I think once that patch is merged https://gerrit.wikimedia.org/r/430494 can probably be reverted..?

it's unfortunate the unit tests didn't complain in this browser test. Anyway we can get these more isolated?

I'm not sure I understand. What exactly didn't complain where?

@Krinkle the ajax requests in MobileFrontend were causing the complaint in "ext.wikiEditor.toolbar" https://integration.wikimedia.org/ci/job/mediawiki-core-qunit-selenium-jessie/19909/console and I suspect before that the complaints against jquery.wikibase.sitelinkview (since both related to 3 ajax requests)

So although there was a complaint in the QUnit report the complaint should have been made inside the MobileFrontend test (unless https://gerrit.wikimedia.org/r/#/c/430671/1/view/tests/qunit/jquery/wikibase/jquery.wikibase.sitelinkview.tests.js is also hitting the API in this manner?)

Niharika removed a subscriber: Niharika.May 4 2018, 3:11 AM
Krinkle closed this task as Resolved.May 29 2018, 7:43 PM
Krinkle claimed this task.

@Jdlrobson the QUnit output is a bit scrambled apparently. I have encountered the issue with AdvancedSearch which report a failure under the wrong test:

WARN: 'AJAX request #4 (state: pending)', Object{url: '/api.php?action=query&format=json&formatversion=2&prop=info&titles=Category%3AHelp%7CCategory%3ADrawings%7CCategory%3ABla'
jquery.color
    ✖ animate

The AJAX request has been made by another test ( ext.advancedSearch.ui.DeepCategoryFilter ).

Maybe something else is hitting the API?
Is there anyway, we could update QUnit to report outgoing API requests?

e.g. if mw.ajax is called log a warning message that shows up in the node report detailing the URL and the test/extension making it? This would help a lot with debugging...

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:09 PM